commit: f1e2563ea4a72f78edc31ee7a3264945fa667596
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 17 15:53:34 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Tue Nov 17 15:53:34 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f1e2563e
dev-python/line_profiler: Imported from science overlay
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
dev-python/line_profiler/Manifest | 1 +
dev-python/line_profiler/line_profiler-1.0.ebuild | 28 ++++++++++++++++++++++
dev-python/line_profiler/line_profiler-9999.ebuild | 28 ++++++++++++++++++++++
dev-python/line_profiler/metadata.xml | 19 +++++++++++++++
4 files changed, 76 insertions(+)
diff --git a/dev-python/line_profiler/Manifest
b/dev-python/line_profiler/Manifest
new file mode 100644
index 0000000..abe5549
--- /dev/null
+++ b/dev-python/line_profiler/Manifest
@@ -0,0 +1 @@
+DIST line_profiler-1.0.tar.gz 65862 SHA256
a9e0c9ffa814f1215107c86c890afa8e63bec5a37d951f6f9d3668c1df2b1900 SHA512
15dd7ee10951287a5030eaff28e729e82094ec41d8e8dec803d5e44c6b9036ecbf1198365ef43c1fdd28451dec260c6491d118f1762d99fe037bb85eb7908dda
WHIRLPOOL
1fd56ea4777a3c569807a124c708018fc77e68521d1f1ecdb13c343ddad3fcd881353cd71a0af36d06a12f1dd17be0f2731040fca5e827a4936298057dabf917
diff --git a/dev-python/line_profiler/line_profiler-1.0.ebuild
b/dev-python/line_profiler/line_profiler-1.0.ebuild
new file mode 100644
index 0000000..a2df317
--- /dev/null
+++ b/dev-python/line_profiler/line_profiler-1.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Line-by-line profiler"
+HOMEPAGE="https://github.com/rkern/line_profiler"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+KEYWORDS="~amd64"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ "
+
+python_test() {
+ "${PYTHON}" -m unittest discover -v "${S}"/tests/ \
+ || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/line_profiler/line_profiler-9999.ebuild
b/dev-python/line_profiler/line_profiler-9999.ebuild
new file mode 100644
index 0000000..2b7914d
--- /dev/null
+++ b/dev-python/line_profiler/line_profiler-9999.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1 git-r3
+
+DESCRIPTION="Line-by-line profiler"
+HOMEPAGE="https://github.com/rkern/line_profiler"
+EGIT_REPO_URI="https://github.com/rkern/${PN}.git"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS=""
+IUSE="test"
+
+DEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+ "
+
+python_test() {
+ "${PYTHON}" -m unittest discover -v "${S}"/tests/ \
+ || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/line_profiler/metadata.xml
b/dev-python/line_profiler/metadata.xml
new file mode 100644
index 0000000..270efb2
--- /dev/null
+++ b/dev-python/line_profiler/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci</herd>
+ <maintainer>
+ <email>[email protected]</email>
+ <name>Marius Brehler</name>
+ </maintainer>
+ <longdescription>
+ line_profiler is a module for doing line-by-line profiling of
+ functions. kernprof is a convenient script for running either
+ line_profiler or the Python standard library's cProfile or profile
+ modules, depending on what is available.
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">line_profiler</remote-id>
+ <remote-id type="github">rkern/line_profiler</remote-id>
+ </upstream>
+</pkgmetadata>